Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
quocanhxd05

Hướng dẫn viết lisp

Các bài được khuyến nghị

Chào các bác, em muốn nhờ các bác chỉ cách viết 1 đoạn lisp đếm xem có bao nhiêu phần tử trong 1 đối tượng Polyline.

Ví dụ : có 1 đối tượng Polyline gồm 6 phần tử là đuờng thẳng. Sau khi chạy lệnh lisp nó sẽ cho mình biết là trong đối tượng polyline có 6 phần tử.

Thanks nhìu!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Chào các bác, em muốn nhờ các bác chỉ cách viết 1 đoạn lisp đếm xem có bao nhiêu phần tử trong 1 đối tượng Polyline.

Ví dụ : có 1 đối tượng Polyline gồm 6 phần tử là đuờng thẳng. Sau khi chạy lệnh lisp nó sẽ cho mình biết là trong đối tượng polyline có 6 phần tử.

Thanks nhìu!

Xin đính chính : Cái phần tử trong PLINE mà bạn nói đến phải gọi là phân đoạn (segment)

Đây là Lisp đếm số phân đoạn (segments) mà Tue_NV viết theo ý bạn :

(defun c:dsm()
(vl-load-com)
(while (setq dt (entsel "\n Pick vao Polyline can biet so phan doan segments :"))
(setq curve (car dt))
(alert (strcat "so phan doan segments cua PLine vua chon la : "
	  (rtos (vlax-curve-getEndParam curve) 2 0)
	)
)
)
(princ)
)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bác Tue_VN ơi, thấy cách bác viết các chuơng trình Lisp thấy hay quá. Hôm trước em cũng có tải về 1 Lisp về load nhưng không đuợc bác ạ, em cũng đã thử mấy Lisp khác nhưng cũng không chạy được.

Em đã vào Tools -> Load Applications rồi tìm đuờng dẫn tới Lisp đã có, nhưng khi em gõ tên Lisp thì Cad thông báo là không có lệnh đó. Bác có thể chỉ cho em cách sử dụng Lisp không?( Em dung Cad 2007)

Em cảm ơn bác truớc nhé, có lẽ về Cad thì bác là Pro lắm rồi.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Xin đính chính : Cái phần tử trong PLINE mà bạn nói đến phải gọi là phân đoạn (segment)

Đây là Lisp đếm số phân đoạn (segments) mà Tue_NV viết theo ý bạn :

(defun c:dsm()
(vl-load-com)
(while (setq dt (entsel "\n Pick vao Polyline can biet so phan doan segments :"))
(setq curve (car dt))
(alert (strcat "so phan doan segments cua PLine vua chon la : "
	  (rtos (vlax-curve-getEndParam curve) 2 0)
	)
)
)
(princ)
)

Hay quá , cảm ơn bác nhiều.Nếu không có diễn đàn Cadviet chắc em phải nghiên cứu tới tết công gô luôn.

Chúc cho Cadviet ngày càng lớn mạnh.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×